
#ifndef _WCCMALLOC_H
#define _WCCMALLOC_H

__attribute__((always_inline)) static inline void *
susan_wccmalloc(unsigned int numberOfBytes);
//! Frees ALL allocated memory space
__attribute__((always_inline)) static inline void susan_wccfreeall(void);
__attribute__((always_inline)) static inline void *
susan_wccmemcpy(void *dstpp, const void *srcpp, unsigned int len);
__attribute__((always_inline)) static inline void
susan_wccmemset(void *p, int value, unsigned int num);

#endif
